Digital activity
Retrieve Core Process Group
Returns the detail of a core process group in the authorized organization.
GET
/
v2
/
organizations
/
{organization_id}
/
digital-activity
/
core-process-groups
/
{core_process_group_id}
Retrieve Core Process Group
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/digital-activity/core-process-groups/{core_process_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/digital-activity/core-process-groups/{core_process_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/digital-activity/core-process-groups/{core_process_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "64f0c2a1b2d3e4f506070811",
"organization_id": "507f1f77bcf86cd799439011",
"name": "Grupo de procesos core A",
"description": "Grupo principal de procesos de productividad",
"workspace_group_id": "64f0c2a1b2d3e4f506070822"
}{
"error": {
"message": "Parámetros de ruta no válidos",
"code": "bad_request",
"details": "organization_id y core_process_group_id deben tener 24 caracteres hexadecimales."
}
}{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}{
"error": {
"message": "Digital Activity is not enabled for organization",
"code": "forbidden"
}
}{
"error": {
"message": "Recurso no encontrado",
"code": "not_found"
}
}{
"error": {
"message": "Demasiadas solicitudes",
"code": "too_many_requests"
}
}{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identifier of the core process group.
Required string length:
24Pattern:
^[0-9a-f]{24}$Response
Core process group retrieved successfully.
Identifier of the core process group.
Required string length:
24Pattern:
^[0-9a-f]{24}$Organization identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$Name of the core process group.
Identifier of the associated workspace group.
Required string length:
24Pattern:
^[0-9a-f]{24}$Description of the core process group.
⌘I
Retrieve Core Process Group
